/*
 * NVMe emulation memory disk ctrl
 */
#ifndef _NVME_MEM_CTRL_H
#define _NVME_MEM_CTRL_H

#include "nvme_emu.h"
#include "nvme_emu_io_driver.h"
#include "nvme_emu_ep.h"

typedef struct nvme_mem_ctrl nvme_mem_ctrl_t;

struct nvme_mem_ctrl {
    char *memdisk_base;
    nvme_emu_ep_t *ep;
    uint64_t disk_size_b;
};

int nvme_emu_create_mem_ctrl(nvme_emu_ep_t *ep);
void nvme_emu_delete_mem_ctrl(nvme_mem_ctrl_t *ctrl);


#endif
