# TODO list

A list of nice to have things in a no particular order.

## Coding

    - Move to the latest devx/upstream kernel (Artemyko) (on hold)
    - Mac address debug (done)
    - Cleanup resources (FW) (done)
    - devx (destroy_object on behalf) qp leak

    - Switch to the mlx_emu API (DONE)
        - code refactor (in progress) (DONE)
        - api implementation (DONE)
        - testing & debug (DONE)
        - split SQ/CQ (DONE)

    - real bcopy, io processing and async support
        - tx wq counting
        - registered mempool to manage buffers
        - pending queue
        - cq avail counting (?)

    - Big IOs
        - zcopy support for big data transfers     
            - user registration api
        - async interface (callback on dma done, if requested)

    - use code from ucs (or may be link to ucs)
        - logger
        - mempool
        - profiling
        - statistics

    

## Testing 
    
    - High level test doc
    - User space access to NVME controller (Borrow code from SPDK)
    - Split tests into three categories:
        - SNIC only (ex on behalf tests, bar read etc)
        - Generic (ex devx verbs layer) that can run on both host and SNIC
        - combined. Tests that need both host AND arm
    - Load tests (fio ???)
    - Adopt SPDK test suite 
        
## Documentation

    - Doxygen support (DONE)
    - automate doxygen
    - Generate API docs (DONE)
    - User guide/HOWTO (IN PROGRESS)

## Distribution

    - Prepare image (DONE)

## Performamce optimizations

    - DB lat/stream unit test
    - PRP read/write optimization (find contig prps...) (low priority)
        - use sge to bring list
        - consecutive pages optimizations
    - DB aggregation (low priority)
        - FW feature
        - Collapsed CQ or poll until last
        - SQE fetch aggregation
    - Combine CQE write + interrupt (low priority)
    - interrupt aggregation (FW feature - configure moderation to EQ/CQ)
    - profiling infrastructure
    - stat counters

## Backend

    - Block device
        - Use SPDK block device abstraction
        - Use SPDK NVMf initiator
    - Admin demon (nvme2of) use SPDK
    - Fix kernel rules/devx
    
## Misc

    - Need to test boot support 
    
## Continuos integration 

    - coverity
    - fix failing tests
    - valgrind
    - automated testing
    - Code coverage: bullseye
    

